<div id="search" class="searchWrapper">
<input type="text" (keyup)="search($event, null)" [(ngModel)]="selectedCodes" [value]="selectedCode"  class="searchBox">
<ul class="countryList" (click)="selectCountry($event)" *ngIf="dispalyCountryList">
  <li class="countryItem" *ngFor="let country of allCountries | filter:selectedCodes" [attr.data-countryCode]="country.alpha3Code">{{country.name}} ( {{country.alpha3Code}})</li>
</ul>
  <div class="main-content" *ngIf="dispalyDetails">
    <div class="title">{{countryName}}</div>
    <div class="ContentBody">
      <div class="imageFlag"><img [src]="countryFlag" alt="Flag" width="150px" height="100px" style="float:left;"></div>
      <div class="content">
        <div class="details"><span class="">Languages: </span><span *ngFor="let lang of countryLang; let last = last">{{lang.name}}<span *ngIf="!last">, </span></span></div>
        <div class="details" ><span class="">Neighbours: </span><span *ngFor="let country of neighbourCountries; let last = last" routerLink="/detail/{{country.alpha3Code}}" class="countryName">{{country.name}}<span *ngIf="!last">, </span></span></div>
      </div>
      
    </div>
  </div>

</div>